import request from '@/utils/request';

/**
 * 动态信息 - 查询列表
 * @returns
 */
export function clientContentList(data) {
  return request({
    url: '/maintain/client/content/page',
    method: 'get',
    data: data,
    headers: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

// 动态评论 - 新增
export function addClientContent(data) {
  return request({
    url: `/maintain/client/content/add`,
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json',
    },
  });
}

// 内容评价(点赞/踩) - 新增内容评价(点赞/踩)
export function addEvaulateRecords(data) {
  return request({
    url: `/maintain/client/evaluate-record/add`,
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
// /**
//  *@description 动态信息 - 获取动态详情
//  */
// export function getClientContentDetail() {
//   return request({
//     url: '/maintain/client/content/query',
//     methods: get,
//     headers: {
//       'content-type': 'application/x-www-form-urlencoded',
//     },
//   });
// }
